请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
查看: 900|回复: 1

[技术分享] 利用Python在NX中实现创建点与线方法-唐康林原创

[复制链接]

555

主题

743

帖子

3380

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
3380
发表于 2018-2-5 11:51:39 | 显示全部楼层 |阅读模式
利用python来开发,其实挺简单的,大部分是可以录的,录了自己改一下就行了。
在我的眼里NX二次开发,只要会了NXOpen C (UFUN),感觉其它都会了。
会了C,就会了C++,这两个都会了,基本上JAVA,C#,VB,Python这些全都通了,只是写代码效率可能没有你最熟悉的那个效率高而已。
由于我最早就是用C的,现在感觉还是用VS来写C与C++的代码顺手,用eclipse来写JAVA代码,还有点不顺手。
  1. # NX 10.0.3.5
  2. # by TangKangLin QQ:125317589 2018.02.05
  3. import NXOpen
  4. import NXOpen.UF
  5. def main():
  6.         try:
  7.                 theSession = NXOpen.Session.GetSession()
  8.                 workPart = theSession.Parts.Work
  9.                 theUfSession = NXOpen.UF.UFSession.GetUFSession()
  10.                 theUI = NXOpen.UI.GetUI()
  11.                
  12.                 #创建第一个点
  13.                 point1Coord = [10.0, 20.0, 30.0]
  14.                 point1Tag = theUfSession.Curve.CreatePoint(point1Coord)
  15.                
  16.                 #创建第二个点
  17.                 point2Coord = [100.0, 80.0, 50.0]
  18.                 point2Tag = theUfSession.Curve.CreatePoint(point2Coord)
  19.                
  20.                 #创建直线
  21.                 startPoint1 = NXOpen.Point3d(point1Coord[0], point1Coord[1], point1Coord[2])
  22.                 endPoint1 = NXOpen.Point3d(point2Coord[0], point2Coord[1], point2Coord[2])
  23.                 line1 = workPart.Curves.CreateLine(startPoint1, endPoint1)
  24.                
  25.         except Exception as ex:
  26.                 theUI.NXMessageBox.Show("温馨提示", NXOpen.NXMessageBox.DialogType.Error, str(ex))
  27. if __name__ == '__main__':
  28.     main()
复制代码


回复

使用道具 举报

2

主题

40

帖子

389

积分

终日乾乾

Rank: 3Rank: 3

积分
389
发表于 2018-2-5 13:57:24 | 显示全部楼层
import 没有报错 为什么Session 无效变量呢
捕获.GIF
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-10-17 17:26 , Processed in 0.105758 second(s), 27 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表